# django-recurrence

django-recurrence is a utility for working with recurring dates in Django.

It provides:

- Recurrence/Rule objects using a subset of rfc2445 (wraps `dateutil.rrule`) for specifying recurring date/times;

- `RecurrenceField` for storing recurring datetimes in the database;

- a JavaScript widget.

## Contents

- Installation
  - Download the library
  - Set up internationalization
  - Configure static files
- Usage
  - Getting started
  - Form Usage
  - Using `RecurrenceField`
  - Generating Recurrences Programmatically
- Contributing
  - Running the tests
  - Working with the documentation
- Changes
  - 1.14 (2025-12-19)
  - 1.13 (2025-12-19)
  - 1.12
  - 1.11.1 (2021-01-25)
  - 1.11.0 (2021-01-21)
  - 1.10.3
  - 1.10.2
  - 1.10.1
  - 1.10.0
  - 1.9.0
  - 1.8.2
  - 1.8.1
  - 1.8.0
  - 1.7.0
  - 1.6.0
  - 1.5.0
  - 1.4.1
  - 1.4.0
  - 1.3.1
  - 1.3.0
  - 1.2.0
  - 1.1.0